#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Jul 13 15:25:50 2021

@author: liaf-ankylosaurus-admin
"""

import sys
import redpitaya_scpi as scpi
from time import sleep


def ReadVoltage():
    
    rp_s = scpi.scpi('192.168.1.244')
    
    rp_s.tx_txt('ACQ:START')
    rp_s.tx_txt('ACQ:TRIG NOW')
    
    while 1:
        rp_s.tx_txt('ACQ:TRIG:STAT?')
        if rp_s.rx_txt() == 'TD':
            break
    
    rp_s.tx_txt('ACQ:SOUR1:DATA?')
    buff_string = rp_s.rx_txt()
    buff_string = buff_string.strip('{}\n\r').replace("  ", "").split(',')
    buff = list(map(float, buff_string))

    return np.mean(buff)

if __name__ == "__main__":
    for i in range(50):
        print(ReadVoltage())
        sleep(2)
    
